export enum DisplayPosition {
  dialog = 'display_dialog',
  formDialog = 'display_formDialog',
  form = 'display_form',
  filter = 'display_filter',
  tableCell = 'display_tableCell',
  card = 'display_card',
  subCard = 'display_subCard',
  cnArrayTable = 'display_cnArrayTable',
  tableRowDetail = 'display_tableRowDetail',
  //弹窗标题支持使用业务组件
  dialogTitle = 'display_dialogTitle',
  // 自增卡片
  cnArraySubAreaCard = 'display_cnArraySubAreaCard',
  // 表格顶部插槽
  tableTopSlot = 'display_tableTopSlot',
  // 可编辑表格底部数据汇总
  arrayTableSummary = 'display_arrayTableSummary',
  // 标签项
  tabItem = 'display_tabItem',
  // 信息提示组件
  message = 'display_message',

  // list-item 子项内容自定义渲染
  listItemContentRender = 'display_listItemContentRender',
  // list-item 子项描述自定义渲染
  listItemDescriptionRender = 'display_listItemDescriptionRender',

  // cn-detail-info 描述自定义渲染
  detailInfoDescriptionRender = 'display_detailInfoDescriptionRender',
  // CnFormat
  cnFormat = 'display_cnFormat',
}
