import React from 'react';
import { CnInputGroup, CnAsyncSelect, CnInput } from '@cainiaofe/cn-ui';
import { getOpenDialogModeEnum } from '@/common/util/expr-const';

export default class MultiplePatternSetter extends React.Component {
  constructor(props) {
    super(props);
    this.state = {};
    this.enum = getOpenDialogModeEnum({
      prefix: '用于',
      suffix: '时',
    });
  }

  render() {
    const { value, onChange } = this.props;
    return (
      <div style={{ width: '100%' }}>
        <CnInputGroup addonBefore={<CnAsyncSelect dataSource={this.enum} />}>
          <CnInput style={{ width: '80px' }} />
        </CnInputGroup>
      </div>
    );
  }
}
